FASTAQ-TO_TILING_BAM(1)

NAME
fastaq_to_tiling_bam - Make a BAM file of reads uniformly spread across the input reference

DESCRIPTION
usage: fastaq_to_tiling_bam [options] <infile> <read_length> <read_step> <read_prefix> <outfile>

Takes a sequence file. Makes a BAM file containing perfect (unpaired) reads tiling the whole genome

  positional arguments:

infile
    Name of input fasta/q file

read_length
    Length of reads

read_step
    Distance between start of each read

read_prefix
    Prefix of read names

outfile
    Name of output BAM file

  options:

-h, --help
    show this help message and exit

--qual_char QUAL_CHAR
    Character to use for quality score [I]

--read_group READ_GROUP
    Add the given read group ID to all reads [42]

Important: assumes that samtools is in your path